# ifndef PieceTestCase_h
# define PieceTestCase_h
#include "TestHeader.h"
# include "Pieces/Piece.h"
class PieceTestCase:
  public TestCase
{
public:
  CPPUNIT_TEST_SUITE( PieceTestCase );
  CPPUNIT_TEST( creation );
  CPPUNIT_TEST( displayLetter );
  CPPUNIT_TEST( forsytheLetter );
  CPPUNIT_TEST( fromForsytheLetter );
  CPPUNIT_TEST( testClone );
  CPPUNIT_TEST_SUITE_END();
protected:
  void creation();
  void displayLetter();
  void forsytheLetter();
  void fromForsytheLetter();
  void testClone();
};
#endif
